<?PHP
class SkinController{

  public static function getCurrentSkinId(){
    return getSetting("global","global","selectedskin");
  }
  public static function getCurrentMobileSkinId(){
    return getSetting("global","global","selectedmobileskin");
  }

  public static function getCurrentSkinName(){
    if(Mobile::isMobileDevice()){
	  return self::getCurrentMobileSkinName();
	}
	else{
      return self::getCurrentDesktopSkinName();
    }
  } 
  
  public static function getCurrentMobileSkinName(){
	$res = $GLOBALS['db']->ReadField("SELECT name FROM {'dbprefix'}skins WHERE id = '".SkinController::getCurrentMobileSkinId()."'");
	if($res){
      return $res;
    }
    else{
      return "mobile";
    }  
  }

  public static function getSkinName($id){
	$id = $GLOBALS['db']->EscapeString($id);
	return $GLOBALS['db']->ReadField("SELECT name FROM {'dbprefix'}skins WHERE id = '".$id."'");
  }
  
  public static function getCurrentDesktopSkinName(){
    $res = $GLOBALS['db']->ReadField("SELECT name FROM {'dbprefix'}skins WHERE id = '".SkinController::getCurrentSkinId()."'");
	if($res){
      return $res;
    }
    else{
      return "default";
    }  
  }

  public static function getCurrentSkinPath(){
    return "system/skins/".SkinController::getCurrentSkinName();
  }

  public static function getInstalledSkins(){
    return $GLOBALS['db']->ReadRows("SELECT * FROM {'dbprefix'}skins");
  }
}
?>